SystemOrganization addCategory: #'WebClient-Seaside-OB'!

!WAServerAdaptorBrowser methodsFor: '*WebClient-Seaside-OB' stamp: 'ar 11/16/2011 20:25'!
cmdWebServerEnableSSLHandler
	<command>
	^ WAWebServerSSLCommand! !

OBCommand subclass: #WAWebServerSSLCommand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebClient-Seaside-OB'!

!WAWebServerSSLCommand methodsFor: 'accessing' stamp: 'ar 8/3/2010 21:48'!
addItemToMenu: aMenu
	"Hack. Must nuke the default blankIcon used by OB."

	self isActive ifFalse:[^self].
	super addItemToMenu: aMenu.
	aMenu lastItem icon: nil.
! !

!WAWebServerSSLCommand methodsFor: 'accessing' stamp: 'ar 8/3/2010 21:48'!
execute
	target adaptor toggleSSL.
	requestor browser signalRefresh
! !

!WAWebServerSSLCommand methodsFor: 'accessing' stamp: 'ar 8/3/2010 21:48'!
group
	^#webserver
! !

!WAWebServerSSLCommand methodsFor: 'accessing' stamp: 'ar 8/2/2010 20:11'!
isActive
	^ (requestor isSelected: target) and: [target adaptor respondsTo: #toggleSSL]! !

!WAWebServerSSLCommand methodsFor: 'accessing' stamp: 'ar 8/2/2010 20:25'!
isEnabled
	^self isActive and:[Smalltalk includesKey: #SqueakSSL]! !

!WAWebServerSSLCommand methodsFor: 'accessing' stamp: 'ar 8/3/2010 21:49'!
label

	^target adaptor isSSLEnabled
		ifTrue:['<on>Use SSL (https)']
		ifFalse:['<off>Use SSL (https) ...']
! !
